<?php

namespace Ori\UniMessage\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class UniMessage extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('uni_message.uni_message.fillable');
        $this->uploads = config('uni_message.uni_message.uploadable');
        $this->uploadRootFolder = config('uni_message.uni_message.upload_root_folder');
        $this->table = config('uni_message.uni_message.table');
    }
}
